# Class HasEnablePermission`Abstract`

#### Hierarchy (View Summary)

- HasEnablePermission
  - FormControlHasEnablePermissionDirective
  - MatButtonHasEnablePermissionDirective
  - MatCheckboxHasEnablePermissionDirective
  - MatInputHasEnablePermissionDirective
  - MatSelectHasEnablePermissionDirective
  - MatSlideToggleHasEnablePermissionDirective

#### Implements

- OnInit
- OnDestroy

- Defined in has-enable-permission.ts:19

#####
Index

### Constructors

constructor

### Properties

cdr
identifier

### Methods

ngOnDestroy
ngOnInit
setDisabled

##
Constructors

### constructor

- new HasEnablePermission(
  authorization: AuthorizationService,
  cdr: ChangeDetectorRef,
  scope?: null | string,
  valueAccessor?: null | ControlValueAccessor[],
  ): HasEnablePermission

  #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: null | string = null
  - valueAccessor: null | ControlValueAccessor[] = null

  #### Returns HasEnablePermission

  - Defined in has-enable-permission.ts:24

##
Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in has-enable-permission.ts:28

### identifier

identifier: string

- Defined in has-enable-permission.ts:20

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in has-enable-permission.ts:39

### `Abstract` setDisabled

- setDisabled(disabled: boolean): void

  #### Parameters

  - disabled: boolean

  #### Returns void

  - Defined in has-enable-permission.ts:64